#include <iostream>
#include <string>
using namespace std;
int main(){
	char c[2];
	int a,b,i;
	string kraj;
	cin>>c;
	cin>>a;
	cin>>b;
	if(a-b>=2 || b-a>=2){
		kraj="nemoguce";
	}else{
		while((a>0)&&(b>0)){
			cout<<c[0];
			a--;
			cout<<c[1];
			b--;
		}
	}
	cout<<kraj;
}